| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions | Variables
executor.c File Reference
`#include "fftw-int.h"`
`#include <stdio.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Functions
void | fftw_strided_copy (int n, fftw_complex *in, int ostride, fftw_complex *out)
void | fftw_executor_simple (int n, const fftw_complex *in, fftw_complex *out, fftw_plan_node *p, int istride, int ostride, fftw_recurse_kind recurse_kind)
void | fftw (fftw_plan plan, int howmany, fftw_complex *in, int istride, int idist, fftw_complex *out, int ostride, int odist)
void | fftw_one (fftw_plan plan, fftw_complex *in, fftw_complex *out)

## Variables
const char * | fftw_version = "FFTW V" FFTW_VERSION " ($Id: executor.c,v 1.68 2003/03/16 23:43:46 stevenj Exp $)"

## Function Documentation

void fftw | ( | fftw_plan | plan,
|  | int | howmany,
|  | fftw_complex * | in,
|  | int | istride,
|  | int | idist,
|  | fftw_complex * | out,
|  | int | ostride,
|  | int | odist
| ) |  |

Definition at line 402 of file executor.c.

void fftw_executor_simple | ( | int | n,
|  | const fftw_complex * | in,
|  | fftw_complex * | out,
|  | fftw_plan_node * | p,
|  | int | istride,
|  | int | ostride,
|  | fftw_recurse_kind | recurse_kind
| ) |  |

Definition at line 212 of file executor.c.

void fftw_one | ( | fftw_plan | plan,
|  | fftw_complex * | in,
|  | fftw_complex * | out
| ) |  |

Definition at line 455 of file executor.c.

void fftw_strided_copy | ( | int | n,
|  | fftw_complex * | in,
|  | int | ostride,
|  | fftw_complex * | out
| ) |  |

Definition at line 35 of file executor.c.

## Variable Documentation

const char* fftw_version = "FFTW V" FFTW_VERSION " ($Id: executor.c,v 1.68 2003/03/16 23:43:46 stevenj Exp $)"

Definition at line 29 of file executor.c.